POST api/Temu/getShipmentDocumentTwo
Request Information
URI Parameters
None.
Body Parameters
ShipmentResultParam| Name | Description | Type | Additional information |
|---|---|---|---|
| packageSnList | Collection of string |
None. |
|
| url | string |
None. |
|
| acctid | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"packageSnList": [
"sample string 1",
"sample string 2"
],
"url": "sample string 1",
"acctid": 2
}
application/xml, text/xml
Sample:
<ShipmentResultParam xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TemuProgToolService.Controllers">
<acctid>2</acctid>
<packageSnList xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</packageSnList>
<url>sample string 1</url>
</ShipmentResultParam>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ShipmentDocumentResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| code | integer |
None. |
|
| msg | string |
None. |
|
| resource | string |
None. |
|
| json | string |
None. |
|
| success | boolean |
None. |
|
| requestId | string |
None. |
|
| errorCode | integer |
None. |
|
| errorMsg | string |
None. |
|
| error_code | string |
None. |
|
| error_msg | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"code": 1,
"msg": "sample string 1",
"resource": "sample string 2",
"json": "sample string 3",
"success": true,
"requestId": "sample string 4",
"errorCode": 1,
"errorMsg": "sample string 5",
"error_code": "sample string 6",
"error_msg": "sample string 7"
}
application/xml, text/xml
Sample:
<ShipmentDocumentResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TemuProgToolService.Models"> <errorCode>1</errorCode> <errorMsg>sample string 5</errorMsg> <error_code>sample string 6</error_code> <error_msg>sample string 7</error_msg> <json>sample string 3</json> <requestId>sample string 4</requestId> <success>true</success> <code>1</code> <msg>sample string 1</msg> <resource>sample string 2</resource> </ShipmentDocumentResponse>